summaryrefslogtreecommitdiffstats
path: root/source/x/liberation-fonts-ttf
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/liberation-fonts-ttf')
-rw-r--r--source/x/liberation-fonts-ttf/60-liberation.conf26
-rw-r--r--source/x/liberation-fonts-ttf/doinst.sh11
-rwxr-xr-xsource/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild66
-rw-r--r--source/x/liberation-fonts-ttf/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/source/x/liberation-fonts-ttf/60-liberation.conf b/source/x/liberation-fonts-ttf/60-liberation.conf
new file mode 100644
index 000000000..a15b9f619
--- /dev/null
+++ b/source/x/liberation-fonts-ttf/60-liberation.conf
@@ -0,0 +1,26 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<!-- $Id: 60-liberation.conf,v 1.1 2008/03/27 11:14:42 root Exp root $ -->
+<fontconfig>
+
+ <!-- Symlinking this file to /etc/fonts/conf.d/ will allow
+ you to use liberation fonts instead of the microsoft truetype fonts.
+ (from http://uwstopia.nl/blog/2007/05/free-your-fonts) -->
+
+ <!-- Liberation fonts -->
+ <match target="pattern">
+ <test qual="any" name="family"><string>Times New Roman</string></test>
+ <edit name="family" mode="assign"><string>Liberation Serif</string></edit>
+ </match>
+ <match target="pattern">
+ <test qual="any" name="family"><string>Arial</string></test>
+ <edit name="family" mode="assign"><string>Liberation Sans</string></edit>
+ </match>
+ <match target="pattern">
+ <test qual="any" name="family"><string>Courier</string></test>
+ <edit name="family" mode="assign"><string>Liberation Mono</string></edit>
+ </match>
+
+
+</fontconfig>
+
diff --git a/source/x/liberation-fonts-ttf/doinst.sh b/source/x/liberation-fonts-ttf/doinst.sh
new file mode 100644
index 000000000..bdb050188
--- /dev/null
+++ b/source/x/liberation-fonts-ttf/doinst.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/source/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild b/source/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild
new file mode 100755
index 000000000..211bbeffa
--- /dev/null
+++ b/source/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=1.04
+ARCH=noarch
+BUILD=1
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-liberation-fonts-ttf
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf liberation-fonts-ttf-$VERSION
+tar xvf $CWD/liberation-fonts-${VERSION}.tar.* || exit 1
+cd liberation-fonts-${VERSION} || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF/
+cp -a *.ttf $PKG/usr/share/fonts/TTF/
+
+mkdir -p $PKG/usr/doc/liberation-fonts-ttf-$VERSION
+cp -a \
+ AUTHORS COPYING* ChangeLog License.txt README \
+ $PKG/usr/doc/liberation-fonts-ttf-$VERSION
+
+mkdir -p $PKG/etc/fonts/conf.{d,avail}
+cat $CWD/60-liberation.conf > $PKG/etc/fonts/conf.avail/60-liberation.conf
+( cd $PKG/etc/fonts/conf.d && \
+ ln -sf ../conf.avail/60-liberation.conf
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/liberation-fonts-ttf-${VERSION}-$ARCH-$BUILD.txz
+
diff --git a/source/x/liberation-fonts-ttf/slack-desc b/source/x/liberation-fonts-ttf/slack-desc
new file mode 100644
index 000000000..4692800f2
--- /dev/null
+++ b/source/x/liberation-fonts-ttf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+liberation-fonts-ttf: liberation-fonts-ttf (Liberation TTF Fonts)
+liberation-fonts-ttf:
+liberation-fonts-ttf: Liberation is the collective name of three TrueType font
+liberation-fonts-ttf: families: Liberation Sans, Liberation Serif and Liberation
+liberation-fonts-ttf: Mono. These fonts are metric-compatible with Arial, Times
+liberation-fonts-ttf: New Roman, and Courier New respectively.
+liberation-fonts-ttf:
+liberation-fonts-ttf: The fonts were developed by Steve Matteson of Ascender Corp.
+liberation-fonts-ttf: for Red Hat, Inc.
+liberation-fonts-ttf:
+liberation-fonts-ttf: